
Redmine - Defect #23509

Private notes are sending to everyone on HipChat Antalassian plug-in

2016-08-04 16:51 - Anna Stepaniuk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.1

Description

Environment:

  Redmine version                3.1.1.stable.14645

  Ruby version                   2.2.2-p95 (2015-04-13) [x86_64-linux]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.6.11

  Git                            2.8.0

  Filesystem                    

  GitRemote                      2.8.0

Redmine plugins:

  absence_form                   0.0.1

  redmine_agile                  1.4.0

  redmine_base_deface            0.0.1

  redmine_changeauthor           1.0.1

  redmine_checklists             3.1.3

  redmine_git_remote             0.0.1

  redmine_hipchat                2.0.0

  redmine_login_audit            0.1.5

  redmine_maintenance_mode       2.0.1

It could be categorized as a feature, but I think it's also a defect, becouse if something is marked as a privat, shouldn't be visible for

all team, doesn't matter in redmine or in hipchat. Now in hipchat it's public and everyone can read it imidiately after adding.

History

#1 - 2016-08-05 12:45 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Please contact plugin author.

#2 - 2016-08-05 14:02 - Anna Stepaniuk

Ok, but maybe You can check and inform if software give some flag for private notes?

If not, how plugin author can repair that?

#3 - 2016-08-05 14:03 - Anna Stepaniuk

- Status changed from Closed to Reopened

#4 - 2016-08-05 14:03 - Anna Stepaniuk

Also related to: Feature #10914

#5 - 2016-08-06 07:17 - Toshi MARUYAMA

- Status changed from Reopened to Closed
https://www.redmine.org/issues/10914


As described at new issue form, this is the Redmine issue tracker for reporting bugs or feature requests about the Redmine core software.
